- Reply to Fin
Once Fin has returned a response to a user's message, its status will be awaiting_user_reply.
If a user replies, use this endpoint to send this response to Fin.
To request access to the Fin Agent API, go to Settings > Integrations > Fin Agent API in your workspace and tell us about your use case. Once access is granted, Fin Agent API appears under Fin AI Agent > Deploy.
Intercom API version.
By default, it's equal to the version set in the app package.
An array of attachments to include with the message. Maximum of 10 attachments.
- The production API serverhttps://api.intercom.io/fin/reply
- The european API serverhttps://api.eu.intercom.io/fin/reply
- The australian API serverhttps://api.au.intercom.io/fin/reply
- Basic reply
- Reply with attachments
curl -i -X POST \
https://api.intercom.io/fin/reply \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.16' \
-d '{
"conversation_id": "123456",
"message": {
"author": "user",
"body": "Here'\''s the information you requested.",
"timestamp": "2025-01-24T09:01:00.000Z"
},
"user": {
"id": "123456",
"name": "John Doe",
"email": "john.doe@example.com"
}
}'Reply sent successfully
The internal Intercom conversation ID, useful for matching this Agent API session to the conversation in Intercom.
Fin's current status in the conversation workflow.
The timestamp the response was created at, with millisecond precision.
Contains error details if any user or conversation attribute updates failed.
- Successful response
- Response with attribute errors
{ "conversation_id": "ext-123", "intercom_conversation_id": "192837465", "user_id": "user-456", "status": "thinking", "created_at_ms": "2025-01-24T10:00:00.123Z" }